Loading...
Searching...
No Matches
Vector Sub
Math Functions

## Functions

ne10_result_t | ne10_subc_float_c (ne10_float32_t *dst, ne10_float32_t *src, const ne10_float32_t cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_float_neon (ne10_float32_t *dst, ne10_float32_t *src, const ne10_float32_t cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_float_asm (ne10_float32_t *dst, ne10_float32_t *src, const ne10_float32_t cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec2f_c (ne10_vec2f_t *dst, ne10_vec2f_t *src, const ne10_vec2f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec2f_neon (ne10_vec2f_t *dst, ne10_vec2f_t *src, const ne10_vec2f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec2f_asm (ne10_vec2f_t *dst, ne10_vec2f_t *src, const ne10_vec2f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec3f_c (ne10_vec3f_t *dst, ne10_vec3f_t *src, const ne10_vec3f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec3f_neon (ne10_vec3f_t *dst, ne10_vec3f_t *src, const ne10_vec3f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec3f_asm (ne10_vec3f_t *dst, ne10_vec3f_t *src, const ne10_vec3f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec4f_c (ne10_vec4f_t *dst, ne10_vec4f_t *src, const ne10_vec4f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec4f_neon (ne10_vec4f_t *dst, ne10_vec4f_t *src, const ne10_vec4f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_subc_vec4f_asm (ne10_vec4f_t *dst, ne10_vec4f_t *src, const ne10_vec4f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_sub_float_c (ne10_float32_t *dst, ne10_float32_t *src1, ne10_float32_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_sub_float_neon (ne10_float32_t *dst, ne10_float32_t *src1, ne10_float32_t *src2, ne10_uint32_t count) asm("ne10_sub_float_neon")
ne10_result_t | ne10_sub_float_asm (ne10_float32_t *dst, ne10_float32_t *src1, ne10_float32_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_sub_vec2f_c (ne10_vec2f_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_sub_vec2f_neon (ne10_vec2f_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count) asm("ne10_sub_vec2f_neon")
ne10_result_t | ne10_sub_vec2f_asm (ne10_vec2f_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_sub_vec3f_c (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_sub_vec3f_neon (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count) asm("ne10_sub_vec3f_neon")
ne10_result_t | ne10_sub_vec3f_asm (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_sub_vec4f_c (ne10_vec4f_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_sub_vec4f_neon (ne10_vec4f_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count) asm("ne10_sub_vec4f_neon")
ne10_result_t | ne10_sub_vec4f_asm (ne10_vec4f_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_subc_float )(ne10_float32_t *dst, ne10_float32_t *src, const ne10_float32_t cst, ne10_uint32_t count)
| Subtracts a constant scalar from all the elements of an input array and stores the results in an output array.
ne10_result_t(* | ne10_subc_vec2f )(ne10_vec2f_t *dst, ne10_vec2f_t *src, const ne10_vec2f_t *cst, ne10_uint32_t count)
| Subtracts a constant 2D vector from all of the vectors in an input array and stores the results in an output array.
ne10_result_t(* | ne10_subc_vec3f )(ne10_vec3f_t *dst, ne10_vec3f_t *src, const ne10_vec3f_t *cst, ne10_uint32_t count)
| Subtracts a constant 3D vector from all of the vectors in an input array and stores the results in an output array.
ne10_result_t(* | ne10_subc_vec4f )(ne10_vec4f_t *dst, ne10_vec4f_t *src, const ne10_vec4f_t *cst, ne10_uint32_t count)
| Subtracts a constant 4D vector from all of the vectors in an input array and stores the results in an output array.
ne10_result_t(* | ne10_sub_float )(ne10_float32_t *dst, ne10_float32_t *src1, ne10_float32_t *src2, ne10_uint32_t count)
| Subtracts the elements of src2 from the elements of src1 and stores the results in the dst.
ne10_result_t(* | ne10_sub_vec2f )(ne10_vec2f_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count)
| Vector subtraction of two 2D vectors.
ne10_result_t(* | ne10_sub_vec3f )(ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
| Vector subtraction of two 3D vectors.
ne10_result_t(* | ne10_sub_vec4f )(ne10_vec4f_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count)
| Vector subtraction of two 4D vectors.

## Detailed Description

  These functions implement the vector sub operation for float data type.

## Function Documentation

## ne10_sub_float_c()

ne10_result_t ne10_sub_float_c | ( | ne10_float32_t * | dst,
|  | ne10_float32_t * | src1,
|  | ne10_float32_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 37 of file NE10_sub.c.

## ne10_sub_vec2f_c()

ne10_result_t ne10_sub_vec2f_c | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src1,
|  | ne10_vec2f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 45 of file NE10_sub.c.

## ne10_sub_vec3f_c()

ne10_result_t ne10_sub_vec3f_c | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src1,
|  | ne10_vec3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 54 of file NE10_sub.c.

## ne10_sub_vec4f_c()

ne10_result_t ne10_sub_vec4f_c | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src1,
|  | ne10_vec4f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 64 of file NE10_sub.c.

## ne10_subc_float_c()

ne10_result_t ne10_subc_float_c | ( | ne10_float32_t * | dst,
|  | ne10_float32_t * | src,
|  | const ne10_float32_t | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 37 of file NE10_subc.c.

## ne10_subc_float_neon()

ne10_result_t ne10_subc_float_neon | ( | ne10_float32_t * | dst,
|  | ne10_float32_t * | src,
|  | const ne10_float32_t | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 39 of file NE10_subc.neon.c.

## ne10_subc_vec2f_c()

ne10_result_t ne10_subc_vec2f_c | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src,
|  | const ne10_vec2f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 45 of file NE10_subc.c.

## ne10_subc_vec2f_neon()

ne10_result_t ne10_subc_vec2f_neon | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src,
|  | const ne10_vec2f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 49 of file NE10_subc.neon.c.

## ne10_subc_vec3f_c()

ne10_result_t ne10_subc_vec3f_c | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src,
|  | const ne10_vec3f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 54 of file NE10_subc.c.

## ne10_subc_vec3f_neon()

ne10_result_t ne10_subc_vec3f_neon | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src,
|  | const ne10_vec3f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 59 of file NE10_subc.neon.c.

## ne10_subc_vec4f_c()

ne10_result_t ne10_subc_vec4f_c | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src,
|  | const ne10_vec4f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 64 of file NE10_subc.c.

## ne10_subc_vec4f_neon()

ne10_result_t ne10_subc_vec4f_neon | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src,
|  | const ne10_vec4f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 73 of file NE10_subc.neon.c.

## Variable Documentation

## ne10_sub_float

ne10_result_t(* ne10_sub_float) (ne10_float32_t *dst, ne10_float32_t *src1, ne10_float32_t *src2, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_float32_t * | src1,
|  | ne10_float32_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Subtracts the elements of src2 from the elements of src1 and stores the results in the dst.

This function point could be pointed to one of ne10_sub_float_c, ne10_sub_float_neon and ne10_sub_float_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | The first array to use as the input array
  [in] | src2 | The second array to use as the input array
  [in] | count | The number of items in the two input arrays

Definition at line 249 of file NE10_init_math.c.

## ne10_sub_vec2f

ne10_result_t(* ne10_sub_vec2f) (ne10_vec2f_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count) | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src1,
|  | ne10_vec2f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Vector subtraction of two 2D vectors.

This function point could be pointed to one of ne10_sub_vec2f_c, ne10_sub_vec2f_neon and ne10_sub_vec2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 276 of file NE10_init_math.c.

## ne10_sub_vec3f

ne10_result_t(* ne10_sub_vec3f) (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count) | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src1,
|  | ne10_vec3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Vector subtraction of two 3D vectors.

This function point could be pointed to one of ne10_sub_vec3f_c, ne10_sub_vec3f_neon and ne10_sub_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 277 of file NE10_init_math.c.

## ne10_sub_vec4f

ne10_result_t(* ne10_sub_vec4f) (ne10_vec4f_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count) | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src1,
|  | ne10_vec4f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Vector subtraction of two 4D vectors.

This function point could be pointed to one of ne10_sub_vec4f_c, ne10_sub_vec4f_neon and ne10_sub_vec4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 278 of file NE10_init_math.c.

## ne10_subc_float

ne10_result_t(* ne10_subc_float) (ne10_float32_t *dst, ne10_float32_t *src, const ne10_float32_t cst, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_float32_t * | src,
|  | const ne10_float32_t | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Subtracts a constant scalar from all the elements of an input array and stores the results in an output array.

This function point could be pointed to one of ne10_subc_float_c, ne10_subc_float_neon and ne10_subc_float_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | cst | The constant scalar subtracted from the input values
  [in] | count | The number of items in the input array

Definition at line 224 of file NE10_init_math.c.

## ne10_subc_vec2f

ne10_result_t(* ne10_subc_vec2f) (ne10_vec2f_t *dst, ne10_vec2f_t *src, const ne10_vec2f_t *cst, ne10_uint32_t count) | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src,
|  | const ne10_vec2f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Subtracts a constant 2D vector from all of the vectors in an input array and stores the results in an output array.

This function point could be pointed to one of ne10_subc_vec2f_c, ne10_subc_vec2f_neon and ne10_subc_vec2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | cst | Pointer to the 2D vector subtracted from the input values
  [in] | count | The number of items in the input array

Definition at line 225 of file NE10_init_math.c.

## ne10_subc_vec3f

ne10_result_t(* ne10_subc_vec3f) (ne10_vec3f_t *dst, ne10_vec3f_t *src, const ne10_vec3f_t *cst, ne10_uint32_t count) | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src,
|  | const ne10_vec3f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Subtracts a constant 3D vector from all of the vectors in an input array and stores the results in an output array.

This function point could be pointed to one of ne10_subc_vec3f_c, ne10_subc_vec3f_neon and ne10_subc_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | cst | Pointer to the 3D vector subtracted from the input values
  [in] | count | The number of items in the input array

Definition at line 226 of file NE10_init_math.c.

## ne10_subc_vec4f

ne10_result_t(* ne10_subc_vec4f) (ne10_vec4f_t *dst, ne10_vec4f_t *src, const ne10_vec4f_t *cst, ne10_uint32_t count) | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src,
|  | const ne10_vec4f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Subtracts a constant 4D vector from all of the vectors in an input array and stores the results in an output array.

This function point could be pointed to one of ne10_subc_vec4f_c, ne10_subc_vec4f_neon and ne10_subc_vec4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | cst | Pointer to the 4D vector subtracted from the input values
  [in] | count | The number of items in the input array

Definition at line 227 of file NE10_init_math.c.